[lvm-devel] master - tests: check.sh no mixing string

Zdenek Kabelac zkabelac at sourceware.org
Thu Jun 29 20:28:34 UTC 2017


Gitweb:        https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=824db54128ef6831629d86ef3b472164048fc227
Commit:        824db54128ef6831629d86ef3b472164048fc227
Parent:        810f856c2490eb1d5db858f26a26621c4a3477e0
Author:        Zdenek Kabelac <zkabelac at redhat.com>
AuthorDate:    Thu Jun 29 08:40:55 2017 +0200
Committer:     Zdenek Kabelac <zkabelac at redhat.com>
CommitterDate: Thu Jun 29 22:23:17 2017 +0200

tests: check.sh no mixing string

Argument mixes string and array. Use * or separate argument.
---
 test/lib/check.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/test/lib/check.sh b/test/lib/check.sh
index 0ad48a9..6f56ea3 100644
--- a/test/lib/check.sh
+++ b/test/lib/check.sh
@@ -237,7 +237,7 @@ in_sync() {
 		return 1
 	fi
 
-	echo "$lvm_name ($type$snap) is in-sync \"${a[@]}\""
+	echo "$lvm_name ($type$snap) is in-sync" "${a[@]}"
 }
 
 active() {
@@ -434,7 +434,7 @@ raid_leg_status() {
 
 grep_dmsetup() {
 	dmsetup "$1" "$2" | tee out
-	grep -q "${@:3}" out || die "Expected output \"${@:3}\" from dmsetup $1 not found!"
+	grep -q "${@:3}" out || die "Expected output \"" "${@:3}" "\" from dmsetup $1 not found!"
 }
 
 #set -x




More information about the lvm-devel mailing list